.btn {
	&,
	&:link,
	&:visited {
		text-transform: uppercase;
		padding: 15px 40px;
		display: inline-block;
		border-radius: 100px;
		transition: all .2s;
		color: $color-grey-dark;
		position: relative;

		border:none;
		cursor: pointer;
	}

	&:hover {
		transform: translateY(-3px);
		box-shadow: 0px 10px 20px rgba(0,0,0,.2);
	}

	&:active {
		transform: translateY(-1px);
		position: relative;
		box-shadow: 0px 10px 20px rgba(0,0,0,.2);
	}

	&::after {
		content: "";
		height: 100%;
		width: 100%;
		top: 0;
		left: 0;
		position: absolute;
		display: inline-block;
		border-radius: 100px;
		z-index: -1;
		transition: all .4s;
	}
	
	&:hover::after {
		transform: scaleX(1.4) scaleY(1.6);
		opacity: 0;
	}
}

.white-btn {
	background-color: $color-white;
	color: $color-grey-dark;

		&::after {
		background-color: $color-white;
	}

}

.green-btn {
	background-color: $color-primary;
	color: $color-white!important;

	&::after {
		background-color: $color-primary;
	}
}

.btn-animated {
	animation: moveinBottom .5s ease-out .75s;
	animation-fill-mode: backwards;
}

.btn-text {
	&:link,
	&:visited{
		color: $color-primary-light;
		border-bottom: 1px solid $color-primary-light;
		display: inline-block;
		padding: 3px;
	}

	&:hover {
		background-color: $color-primary-light;
		color: #ffffff;
		box-shadow: 0px 10px 20px rgba($color-black, .15);
		transform: translateY(-2px);
	}

	&:active {
		box-shadow: 0px 5px 10px rgba($color-black, .15);
		transform: translateY(0);
	}
}